Views:

We do not recommend upgrading directly from a V2.?? to a V4.?? firmware. This can cause issues with the functionality of the console, requiring the downgrading of the firmware again or worse case scenario returning to the Care Department for re-programming.

We would advise going through firmware V3.07 as this contained some significant firmware changes that will help when upgrading to V4.??. 
If you require this firmware, then please submit a support ticket.  A representative will respond within 24 hours.